﻿div.om-menu {
    position: absolute;
    top: 0;
    right: 0;
    width: 1px;
    height: 1px;
    overflow: hidden;
}

    div.om-menu.omopen {
        width: 100%;
        height: 100vh;
    }

div.om-circle {
    border-radius: 50%;
    position: absolute;
    width: 284vmax;
    height: 284vmax;
    top: -142vmax;
    left: -142vmax;
    transform: scale(0);
    transform-origin: 50% 50%;
    transition: transform .5s cubic-bezier(0.755, 0.050, 0.855, 0.060);
    will-change: transform;
}

    div.om-circle.omexpand {
        transform: scale(1);
    }

.om-navmenu {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100vh;
    position: relative;
    z-index: 5;
    transform: scale(0);
    transition: transform .5s cubic-bezier(0.755, 0.050, 0.855, 0.060);
    will-change: transform;
    list-style-type: none;
}

.om-menu.omopen .om-navmenu {
    transform: scale(1);
}

.om-navmenu-item {
    opacity: 0;
    transition: all .3s cubic-bezier(0.000, 0.995, 0.990, 1.000) .3s;
}

.om-menu.omopen .om-navmenu-item {
    opacity: 1;
    transform: translateY(0);
}

.om-navmenu-link {
    display: block;
    text-align: center;
    text-decoration: none;
}
